Munin::Node::ProxySpooler(3)

NAME
Munin::Node::ProxySpooler - Daemon to gather spool information by querying a munin-node instance.

SYNOPSIS
  Munin::Node::ProxySpooler->run(spooldir => '/var/spool/munin');
  # never returns.

  # meanwhile, in another process
  my $spoolreader = Munin::Node::Spoolreader->new(
      spooldir => '/var/spool/munin',
  );
  print $spoolreader->fetch(123456789);

METHODS

new
      Munin::Node::ProxySpooler->new(%args);

    Constructor. It is called automatically by the "run" method, so probably isn't of much use otherwise.

run
      Munin::Node::ProxySpooler->run(%args);

    Daemonises the current process, and starts fetching data from a Munin node.

    Never returns. The process will clean up and exit(0) upon receipt of SIGINT, SIGTERM or SIGHUP.

    "spooldir"
        The directory to write results to. Optional.

    "host", "port"
        The host and port the spooler will gather results from. Defaults to "localhost" and 4949 respectively, which should be acceptable for most purposes.

    "pid_file"
        The pidfile to use. Required.